cURL
curl --request GET \
--url https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/pii \
--header 'Authorization: Bearer <token>'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/pii"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/pii', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2222222",
"first_name": "John",
"last_name": "Doe",
"dob": "1983-06-04",
"gender": "Male",
"email": "john.doe@gmail.com",
"phone_number": "5555555555",
"user_group": {
"id": "29657",
"name": "California"
},
"next_appt_date": null
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Patient
Get Patient PII
Returns patient PII
GET
/
patient
/
{patientId}
/
pii
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Response
Successful response
The unique identifier for the member.
Example:
"2222222"
The first name of the member.
Example:
"John"
The last name of the member.
Example:
"Doe"
The date of birth of the member.
Example:
"1983-06-04"
The gender of the member.
Example:
"Male"
The email address of the member.
Example:
"john.doe@gmail.com"
The phone number of the member.
Example:
"5555555555"
Information about the user group the member belongs to.
Show child attributes
Show child attributes
The date and time of the member's next appointment, or null if no appointment is scheduled.
Example:
null